Package wx :: Package lib :: Module expando :: Class ExpandoTextCtrl

[frames | no frames]

## Type ExpandoTextCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      TextCtrl --+
                                 |
                                ExpandoTextCtrl

The ExpandoTextCtrl is a multi-line wx.TextCtrl that will adjust its height on the fly as needed to accomodate the number of lines needed to display the current content of the control. It is assumed that the width of the control will be a fixed value and that only the height will be adjusted automatically. If the control is used in a sizer then the width should be set as part of the initial or min size of the control.

When the control resizes itself it will attempt to also make necessary adjustments in the sizer hierarchy it is a member of (if any) but if that is not suffiecient then the programmer can catch the EVT_ETC_LAYOUT_NEEDED event in the container and make any other layout adjustments that may be needed.

Method Summary
| `__init__(self, parent, id, value, pos, size, style, validator, name)`
| `AppendText(self, text)`
| ``GetMaxHeight`(self)` Sets the max height that the control will expand to on its own
| `GetNumberOfLines(self)`
| `OnTextChanged(self, evt)`
| `SetFont(self, font)`
| ``SetMaxHeight`(self, h)` Sets the max height that the control will expand to on its own, and adjusts it down if needed.
| `WriteText(self, text)`

Property Summary

Instance Method Details

### GetMaxHeight(self)

Sets the max height that the control will expand to on its own

  Overrides:
    `wx.Window.GetMaxHeight`

### SetMaxHeight(self, h)

Sets the max height that the control will expand to on its own, and adjusts it down if needed.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:11 2007 | http://epydoc.sf.net